org.omg.PortableServer

## Interface AdapterActivator

- All Superinterfaces:
    AdapterActivatorOperations, IDLEntity, Object, Serializable

      public interface AdapterActivator
      extends AdapterActivatorOperations, Object, IDLEntity

  An adapter activator supplies a POA with the ability to create child POAs on demand, as a side-effect of receiving a request that names the child POA (or one of its children), or when find_POA is called with an activate parameter value of TRUE.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableServer.AdapterActivatorOperations

      `unknown_adapter`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.